#include <bits/stdc++.h>

using namespace std;

#define int long long




void sovel() {
    int N, n, M, m, k, q;
    cin >> N >> n >> M >> m >> k >> q;
    vector<pair<int, int>> a(n), b(m);
    for (int i =0 ; i < n; i++) {
        cin >> a[i].first >> a[i].second;
    }
    for (int i = 0; i < m; i++) {
        cin >> b[i].first >> b[i].second;
    }
    while (q--) {
        int x, y;
        cin >> x >> y;
        cout << "No\n";
    }

}

signed main() {
    int t = 1;
    while (t--) {
        sovel();
    }
}
